package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.EvaluasiJabatan;
import com.jasamedika.medifirst2000.entities.Pegawai;
import com.jasamedika.medifirst2000.entities.StrukHistori;
import com.jasamedika.medifirst2000.helper.Caption;

public class IkiDanRemunerasiVO extends BaseTransactionVO{

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Object Evaluasi Jabatan")
	private EvaluasiJabatanVO evaluasiJabatan;
	
	@Caption(value="NilaiJabatan")
	private Double nilaiJabatan;
	
	@Caption(value="Gaji")
    private Double gaji;
	
	@Caption(value="Grade")
    private String grade;
	
	@Caption(value="Iku")
    private Double iku;
	
	@Caption(value="Iki")
    private Double iki;
	
	@Caption(value="Pir")
    private Double pir;
	
	@Caption(value="P1")
    private Double p1;
	
	@Caption(value="P2")
    private Double p2;
	
	@Caption(value="P1Rp")
	private Double p1Rp;
	
	@Caption(value="P2Rp")
    private Double p2Rp;
	
	@Caption(value="Tanggal")
	private Date tanggal;
	
	@Caption(value="IndekKehadiran")
	private Integer indekKehadiran;

	@Caption(value="Remunerasi")
	private Double remunerasi;
	
	@Caption(value = "Periode")
	private String periode;

	@Caption(value = "Object Pegawai")
	private PegawaiVO pegawai;
	
	@Caption(value = "noHistori")
	private StrukHistoriVO strukHistory;
	
	@Column(name = "noHistoriFK", insertable = false, updatable = false,nullable = false)
	private String strukHistoryId;
	
	public String getPeriode() {
		return periode;
	}

	public void setPeriode(String periode) {
		this.periode = periode;
	}

	public StrukHistoriVO getStrukHistory() {
		return strukHistory;
	}

	public void setStrukHistory(StrukHistoriVO strukHistory) {
		this.strukHistory = strukHistory;
	}

	public String getStrukHistoryId() {
		return strukHistoryId;
	}

	public void setStrukHistoryId(String strukHistoryId) {
		this.strukHistoryId = strukHistoryId;
	}

	public EvaluasiJabatanVO getEvaluasiJabatan() {
		return evaluasiJabatan;
	}

	public void setEvaluasiJabatan(EvaluasiJabatanVO evaluasiJabatan) {
		this.evaluasiJabatan = evaluasiJabatan;
	}

	public Double getNilaiJabatan() {
		return nilaiJabatan;
	}

	public void setNilaiJabatan(Double nilaiJabatan) {
		this.nilaiJabatan = nilaiJabatan;
	}

	public Double getGaji() {
		return gaji;
	}

	public void setGaji(Double gaji) {
		this.gaji = gaji;
	}

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public Double getIku() {
		return iku;
	}

	public void setIku(Double iku) {
		this.iku = iku;
	}

	public Double getIki() {
		return iki;
	}

	public void setIki(Double iki) {
		this.iki = iki;
	}

	public Double getPir() {
		return pir;
	}

	public void setPir(Double pir) {
		this.pir = pir;
	}

	public Double getP1() {
		return p1;
	}

	public void setP1(Double p1) {
		this.p1 = p1;
	}

	public Double getP2() {
		return p2;
	}

	public void setP2(Double p2) {
		this.p2 = p2;
	}

	public Double getP1Rp() {
		return p1Rp;
	}

	public void setP1Rp(Double p1Rp) {
		this.p1Rp = p1Rp;
	}

	public Double getP2Rp() {
		return p2Rp;
	}

	public void setP2Rp(Double p2Rp) {
		this.p2Rp = p2Rp;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	public Integer getIndekKehadiran() {
		return indekKehadiran;
	}

	public void setIndekKehadiran(Integer indekKehadiran) {
		this.indekKehadiran = indekKehadiran;
	}

	public Double getRemunerasi() {
		return remunerasi;
	}

	public void setRemunerasi(Double remunerasi) {
		this.remunerasi = remunerasi;
	}

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}
	
	@Caption(value = "Object Pegawai")
	private String evaluasiJabatanId;
	
	@Caption(value = "Object Pegawai")
	private Integer pegawaiId;


	public String getEvaluasiJabatanId() {
		return evaluasiJabatanId;
	}

	public void setEvaluasiJabatanId(String evaluasiJabatanId) {
		this.evaluasiJabatanId = evaluasiJabatanId;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}
	
}
